com.ibm.openpages.api.trigger.events

## Class MoveResourceEvent

- java.lang.Object
- - com.ibm.openpages.api.trigger.events.AbstractEvent
  - - com.ibm.openpages.api.trigger.events.AbstractResourceOperationEvent
    - - com.ibm.openpages.api.trigger.events.MoveResourceEvent

- Direct Known Subclasses:
    RenameResourceEvent

      public class MoveResourceEvent
      extends AbstractResourceOperationEvent

  Represents an event for moving a resource object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoveResourceEvent(TriggerEventType type, Id sourceId, Id targetId, MoveObjectOptions options, TriggerPositionType position, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoveObjectOptions` | `getOptions()`
    `Id` | `getSourceId()`
    `Id` | `getTargetId()`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractEvent

      `getContext, getPosition, getTriggerEventType, hasOuterCreateWithRelationsEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoveResourceEvent

          public MoveResourceEvent(TriggerEventType type,
                                   Id sourceId,
                                   Id targetId,
                                   MoveObjectOptions options,
                                   TriggerPositionType position,
                                   Context context)

  - ### Method Detail

    - #### getOptions

          public MoveObjectOptions getOptions()

    - #### getSourceId

          public Id getSourceId()

    - #### getTargetId

          public Id getTargetId()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.